# Credits

## Heritage
Bagshui started life as a rewrite of EngBags and therefore would not exist without the EngInventory/EngBags developers and maintainers, including (but probably not limited to) Engival, Requital, Hador, UniRing, [Lars Kiesow](https://github.com/lkiesow), [AHHH_REPTAR](https://github.com/ahhh-reptar), [LaYt](https://github.com/laytya), and [Baroque](https://github.com/Brqje).

## Special Mentions

* The lack of [Arkayenro](https://github.com/arkayenro)'s [ArkInventory](https://www.curseforge.com/wow/addons/ark-inventory) on Vanilla catalyzed Bagshui's development (and heavily influenced its look & feel and rules system).

* balakethelock's [SuperWoW](https://github.com/balakethelock/SuperWoW) inspired Bagshui's native item charges support (and is used if installed instead of parsing tooltips).

* My long-suffering alpha tester, who put up with me spending more time developing Bagshui than actually playing the game. 🩷

* Everyone who has reported bugs or provided feedback to make Bagshui better. 💞

## Code

### Libraries
* PeriodicTable by [Tekkub](https://github.com/TekNoLogic)

### Reuse
* Active quest item detection based on [QuestItem](https://github.com/wow-vanilla-addons/QuestItem) by Shagoth.
* Item borders use code from [ShaguTweaks](https://github.com/shagu/ShaguTweaks) `AddBorder()` by Shagu and [ShaguTweaks-Mods](https://github.com/GryllsAddons/ShaguTweaks-mods) `AddTexture()` by Grylls.
* Unusable item tinting based on logic from [EquipColor](https://github.com/mrrosh/EquipColor) by Mr_Rosh.
* Icon button cooldown completion shine based on code from [OmniCC](https://github.com/anzz1/OmniCC) by Tuller & kebabstorm (which in turn adapted it from ABInfo by Ombres)
* Import/export based on code from [pfUI](https://github.com/shagu/pfUI/) (modules/share.lua) by Shagu.
* Money string formatting from [pfUI](https://github.com/shagu/pfUI/) (`CreateGoldString()` in api/api.lua).
* Guidance for hooking some tooltips taken from [aux](https://github.com/shirsig/aux-addon-vanilla/) (core/tooltip.lua) by shirsig and [pfUI](https://github.com/shagu/pfUI/) (libs/libtooltip.lua).
* Object comparison based on [`deep_equals`](https://gist.github.com/sapphyrus/fd9aeb871e3ce966cc4b0b969f62f539?permalink_comment_id=4563041#gistcomment-4563041) by sapphyrus.
* RGB conversion to hex uses [`RGBPercToHex`](https://warcraft.wiki.gg/wiki/RGBPercToHex).
* ScrollFrame implementation based on [code from Aanson](https://www.wowinterface.com/forums/showpost.php?p=274216).
* String splitting based on [code from thisisrandy](https://stackoverflow.com/a/76989560).
* Table clearing uses [a tip from siffiejoe](https://stackoverflow.com/questions/4880368/how-to-delete-all-elements-in-a-lua-table/27287723#comment43045500_27287723).
* Table printing based on [`tprint`](https://stackoverflow.com/a/47392487).

## Docs and tools
* [BLPNG Converter](https://www.wowinterface.com/downloads/info22128-BLPNGConverter.html)
* [Vanilla](https://github.com/MOUZU/Blizzard-WoW-Interface/tree/master/1.12.1/FrameXML) and [Turtle WoW](https://github.com/refaim/Turtle-WoW-UI-Source/) FrameXML source.
* Everyone who has ever contributed to the [Warcraft Wiki](https://warcraft.wiki.gg/index.php?title=World_of_Warcraft_API&oldid=567429) (and to [this page about tables and garbage collection](https://warcraft.wiki.gg/wiki/HOWTO:_Use_Tables_Without_Generating_Extra_Garbage) in particular).
* Basically everything [shagu](https://github.com/shagu) has written, which at times served as de facto documentation.


## Assets

### Icons

* [Archive](https://www.flaticon.com/free-icon/archive_10486727) - [See Icons - Flaticon](https://www.flaticon.com/authors/see-icons)
* backpack-f - [jam](https://github.com/michaelampr/jam/)
* [Category](https://icons8.com/icon/JIaAkFry4yiV/category) - [Icons8](https://icons8.com)
* [Clean](https://thenounproject.com/icon/clean-5507667/) - [LAFS - Noun Project](https://thenounproject.com/creator/LAFS/)
* [Customer](https://www.flaticon.com/free-icon/customer_10426399) - [Tanah Basah - Flaticon](https://www.flaticon.com/authors/tanah-basah)
* [edit](https://thenounproject.com/icon/edit-1971272/) - [shashank singh - Noun Project](https://thenounproject.com/creator/rshashank19/)
* [flash](https://www.flaticon.com/free-icon/flash_658110) - [Stockio - Flaticon](https://www.flaticon.com/authors/stockio)
* [Floppy Disk](https://www.flaticon.com/free-icon/check_9403270) - [Pixel perfect - Flaticon](https://www.flaticon.com/authors/pixel-perfect)
* [Hammer](https://www.flaticon.com/free-icon/hammer_3998325) - [Mehwish - Flaticon](https://www.flaticon.com/authors/mehwish)
* [Magnifying Glass](https://www.flaticon.com/free-icon/magnifying-glass_3626504) - [Icon home - Flaticon](https://www.flaticon.com/authors/icon-home)
* [Priest](https://www.flaticon.com/free-icon/priest_4263904) - [Freepik - Flaticon](https://www.flaticon.com/authors/freepik)
* [question mark](https://thenounproject.com/icon/question-mark-3844680/) - [The Icon Z - Noun Project](https://thenounproject.com/creator/theiconz/)
* [Setting](https://www.flaticon.com/free-icon/setting_9333993) - [Tanah Basah - Flaticon](https://www.flaticon.com/authors/tanah-basah)
* Various from [Fork Awesome](https://github.com/ForkAwesome/Fork-Awesome)

### Fonts
* [Bagnard Sans](https://github.com/sebsan/Bagnard-Sans)
* [Inconsolata Condensed](https://github.com/googlefonts/Inconsolata)
